0

Need more power

Posted by scottk on May 4, 2013 in Ramblings |

fry-argh-1Trying to get my MacBook up and running with some more ruby gems I ran into the following error

 

root# gem install refinerycms Building native extensions. This could take a while… ERROR: Error installing refinerycms: ERROR: Failed to build gem native extension.

/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby extconf.rb mkmf.rb can’t find header files for ruby at /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/ruby.h

Gem files will remain installed in /Library/Ruby/Gems/1.8/gems/json-1.7.7 for inspection. Results logged to /Library/Ruby/Gems/1.8/gems/json-1.7.7/ext/json/ext/generator/gem_make.out

 

The solution ended up being that I need to install Xcode and go to Xcode Preferences and add in the Command Line Tools. After that, it’s all good.

Leave a Reply

Your email address will not be published. Required fields are marked *

Copyright © 2006-2020 SimpIT.com All rights reserved.
This site is using the Desk Mess Mirrored theme, v2.5, from BuyNowShop.com.